{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Python: Remote Attach",
            "type": "debugpy",
            "request": "attach",
            "connect": {
                "host": "localhost",
                "port": 5678
            },
            "pathMappings": [
                {
                    "localRoot": "${workspaceFolder}/ai-hub",
                    "remoteRoot": "/ai-hub"
                }
            ]
        },
        {
            "name": "Python: Uvicorn",
            "type":"debugpy",
            "request": "launch",
            "module": "uvicorn",
            "args": [
                "app.main:app",
                "--host",
                "0.0.0.0",
                "--port",
                "8001",
                "--reload"
            ],
            "cwd": "${workspaceFolder}/ai-hub",
            "envFile": ".env"
        }
    ]
}